Subject: Re: bug#51370: 28.0.60; tab-bar-history-mode: avoid micro-steps

From: Carlos Pita <[email-masked]>
Date: Sun, 24 Oct 2021 14:46:09 -0300

> winner-mode has a more sensible behavior in this regard: it just
> remembers the beginning and the end of the mouse resizing operation

I believe the difference is due to the fact that winner-mode listens to
changes in a window-configuration-change-hook but only saves them in a
post-command-hook, while tab-bar-history-mode saves changes in a
window-configuration-change-hook. I assume that dragging with the mouse
is sending a sequence of window configuration change events while still
being a single command.

Best regards,
Carlos